wordpress тема не може да зареди под ie 8 и ie 9


0
Здравейте колеги , направих wordpress тема , която работи под всички браузъри включително под ie 7 , но поради някаква причина не може да се зареди под ie8 и ie9....
Пробвах да включа и изключа всички плугини който съм ползвал , но нищо не се променя
Ще се радвам някой ако може да удари едно рамо или има идея на какво се дължи
това е сайтът: http://bogoia.net



Отговори



0
Странно, под IE 10 работи коректно... Единствено "Галерия" не води никъде, но това е така и под Chrome...

от desislavst (455 точки)


0
то това с галерията не е готово още , иначе и аз съм го пробвал под ie10 и под "browser mode" на по-долните версии: 9,8,7 няма проблеми, но при инсталиран ie8 или ie9 браузърът се крашва ...



0
При мен няма проблем при IE7,8,9, 10. Нещо изкарава ли ти на конзолата ? Някаква грешка ?

от Teodor92 (13062 точки)


0
не не виждам грешка


0
Хммм странно, пробвай на някоя друга машина, ако можеш.

от Teodor92 (13062 точки)



0

Сложи този ред в header.php веднага по отварящия head tag:

<meta http-equiv="X-UA-Compatible" content="IE=edge" >

Този ред казва на IE да ползва най-високата възможна версия, в случая тя е 10 и ще прескочи 8 и 9. Изчисти и кеша след това за да си сигурен, че виждаш резултата коректно.


от todor_pr (1527 точки)


0
ie10 ако има такава , но при наличието само на ie9 като най-висока или само ie8, в такава ситуация е проблемът


0
The X-UA-Compatible meta tag allows web authors to choose what version of Internet Explorer the page should be rendered as. Което значи, че страницата се рендира сякаш е отворена с IE10 (текущата най-висока версия), дори и да не е инсталирана, на клиентския компютър.

от todor_pr (1527 точки)


0

Аз виждам 2 (засега) евентуални проблема:

  1. Спри Skype add-on на браузъра;
  2. По някаква причина не може да се зареди buttons.png от плъгина за слайдера (Meteora), може да е заради png формата, нямам представа... Опитай без нея или направо спри този плъгин. Писал си, че си опитал без плъгините, но пък skype add-on-ът не е бил спрян тогава. :) Засега това мога да предложа.

от Yoana_Nikolova (0 точки)


0
Смених плугина , все още има проблем ,
пробвах и с:
сайтът изобщо не се отваря като го сложа и за това го махнах...
други идей



0

Аз в моите теми гледам да ползвам https://code.google.com/p/ie7-js/ по принцип си го свалям локално и си го вграждам в темата


от kanchev_k (319 точки)